Figure - 0 O Dev #119144
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 O Dev# 119107 (New): 0 MKO O AF0 O HiCar0 O TC-RID: 1201-02080010 0 0 O O HiCarD O
0 MKO O AFO O HiCard O TC-RID: 1201-02080010 O OHMIO O OO O O O
2023-08-04 17:36 - CD TPM-0 0 O

Status: New Start date: 2023-08-04
Priority: Normal Due date:

Assignee: COFWO OO % Done: 0%
Category: CD-FW Estimated time: 0.00 hour
Target version:

Description

gopPrRDOUXOUIDOOOOODO

https://thundersoft.feishu.cn/drive/folder/CgrEf2z7LIUeV3dTulkcHTWannh

https://developer.huawei.com/consumer/cn/doc/development/HiCar-Guides/build-hmi-app-project-0000001062411690

History

#1 - 2023-08-15 15:10 - 0T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

301451

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF:HiCar: Integrate HiCarSDK Car Android 4.0.0.300_armAdd DMSDP, HiSight, Nearby and HiViewTC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-Id: 1696ddbc8fbf417e50c9dec7ab84bc9f2c659fhed

#2 - 2023-08-15 15:10 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

301453

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF:HiCar: Add HiCar in build environmentAdd HiCar Launcher and HiCar SDK in build environment. TC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-1d: 1580b8088d50e53b0fe0f416aad2db84f285a0992d

#3 - 2023-08-1515:10 - IoT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

301452

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangxl0510@thundersoft.com

2025-07-03

1/56



https://thundersoft.feishu.cn/drive/folder/CgrEf2z7LlUeV3dTu1kcHTWannh
https://developer.huawei.com/consumer/cn/doc/development/HiCar-Guides/build-hmi-app-project-0000001062411690

AF:HiCar: Add HiCar LauncherAdd HiCar LauncherTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
166f9147b40a2b935698042dbbb936efbdcc8h473

#4 - 2023-08-15 15:10 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

303402

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Fix HiCar Launcher crash issue. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 14562d3e909eb49ee2f844203d954f910684203b5

#5 - 2023-08-15 15:12 - 0T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

301487

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

wangxl0510@thundersoft.com

AF:HiCar: Add HiCar in build environmentAdd HiCar Launcher and HiCar SDK in build environment. TC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-1d: 1998e955d9e35892b19f61c0f78ccb85293a67097

#6 - 2023-08-16 15:20 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

303619

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar: Change package name and add connect page. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1535793¢a872cf8125818f8698bff308b6307b7a5

#7 - 2023-08-16 19:23 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

303703

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:product struct changeTC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id: 1739d2fbd8d2944d1cda226e99397990b60bb439b

#8 - 2023-08-18 13:57 - 0T scm

2025-07-03

2/56




Gerrit Merge Information(

1D

Project

Branch

Uploader

304185

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:load pin codel.Load pin code2.Add unknow pin code pageTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
le3fa2b1532297c08fae0098536d031373714a693

#9 - 2023-08-21 15:25 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

304448

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Link ConnectActivity and FailedActivityTC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d: 1a83c47225a4259cd14e2580abefb66df94e4a896

#10 - 2023-08-22 11:19 - IoT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

304401

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Add HiCar App List Page and HeaderView.1. Add HiCarServiceManager;2. Modify HiCarService logical, TC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-1d: 1b142bad12fefe81a0c69f2d0bae7ae0a139552d1

#11 - 2023-08-23 10:20 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

305375

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar: Add struct devicel.Add struct device2.Add DialogTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1383284390f408348c46b2f58f2cbe301f405fa62

#12 - 2023-08-23 19:21 - 10T scm

2025-07-03

3/56




Gerrit Merge Information(

1D Project Branch Uploader
305785 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Implement HiCar App List Page and Projection Page. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1405189fa842738cd77935e30c4a957b10fdb4e73

#13 - 2023-08-24 10:49 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
305749 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCar: Remove struct device dialogl.show connect error page2.show remove struct device dialogTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
16db9409cab917bf9c76e1b9c55f24dd2d31falca

#14 - 2023-08-24 19:51 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
306073 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Improve mix desktop function and navigation logical. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
Icb1bd4c9d93d45e5d86bef0faef78a7a6b389141

#15 - 2023-08-25 10:41 - 1oT scm

Gerrit Merge Informationd

1D Project Branch Uploader
306239 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCar: Add get pin code timeout dialogTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 16e0ebcd7ce8394bchb6aal5004b22746a5f7ac6d

#16 - 2023-08-25 17:51 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
306470 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

2025-07-03 4/56




AF:HiCar: Modify the connect prompt textTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 198b68b011db86c1c3c0e085570b385b51b4ff52h

#17 - 2023-08-29 21:04 - [oT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

307606

general/platform/build/soong

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Add HiCarServiceManager aar.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 19077c683af0753efb45965f7cd82ce03b4d3584a

#18 - 2023-08-29 21:06 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

307610

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:HiCar: Add HiCarService config. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 17ea3750b442a3bdfe226aa5579af6f30ba21f507

#19 - 2023-08-29 21:07 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

307609

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Add HiCarServiceManager. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: lab3b85568cc7a8d38f499c420316006110e82866

#20 - 2023-08-29 21:08 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

307608

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Modify HiCarService structure.1. Start HiCarService by System;2. Replace Log with TLog;3. Use HiCarServiceManager in framework; TC-RID:
1201-0208001IssuelD: TS-R-DF-119144Change-1d: lafcf5343aa63523a87583482a8389864fe1736bc

2025-07-03




#21 - 2023-08-30 11:45 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

307770

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Disable small window mode.TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d: 1a91592895¢6293b8d85db70a2322d7244bfcc399

#22 - 2023-08-31 15:26 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

308259

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar: Change Launch iconTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: Ibe5a09189a3e51c832e4d7896550289af7847603

#23 - 2023-08-31 18:22 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

308681

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Connect Animation and change adv stop time1.Add conncte waves animation2.Stop adv on puse3.Change connect fail title text4.fixed close Bluetooth
O can start advTC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id: 13a37e5e08bd51fa4a13b65817¢28b1c6a08b6e43

#24 - 2023-08-31 20:06 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

308704

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize HiCarService and remove HiCarMainActivity. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
119fd9aeaf832864dd759360f66c410d73f39daf7

#25 - 2023-08-31 20:06 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-03

6/56




308706

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssil2 | tao.liao@thundersoft.com

-dev

AF:HiCar: Optimize HiCarServiceManager. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 1f43cd05d9948ebc7c240fa75b924779eabebddad

#26 - 2023-08-31 20:06 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

308698

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Add priv_app HiCarService config. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: Ifa265db79be3f6c65f76c60572968e55c6868471

#27 - 2023-08-31 20:06 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

308699

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Add HiCar converged desktop to Launcher. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
16d7f50dc1150277c833025042383aad9a8f5b672

#28 - 2023-09-01 19:30 - loT scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

309160

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize HiCarService config and start page after connected. TC-RID:
10a4d82dfh846596e73013bad77ad21e7413e93ee

1201-0208001IssuelD: TS-R-DF-119144Change-Id:

#29 - 2023-09-01 19:30 - IoT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

309162

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar; Fix HiCar converged desktop interaction problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1h1319c7f74abfb7f720cchad27¢2fbc281d6e66a

2025-07-03

7/56




#30 - 2023-09-01 22:39 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

309164

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Connect managerTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 13b7180fc748da8da26cad2d27d8865b2febeb733

#31 - 2023-09-01 22:40 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

309165

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Add trust device info methodTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: Ice66ad5d9022e02da52643fch3a916d45c42097¢

#32 - 2023-09-01 22:41 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

309166

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Connect managerTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 19¢12a623497d18e74c9ba812333fb25fd9af390c

#33 - 2023-09-04 19:06 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

309462

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Open WIFI when disconnect1.Open WIFI when disconnect2.change time of start and stop adv3. animation imgTC-RID: 1201-02080011ssuelD:
TS-R-DF-119144Change-Id: 18d835281ec9778fb90e6c1e497789bc3e9e8711c

#34 - 2023-09-05 13:58 - 0T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

309683

2025-07-03

general/platform/packages/apps/Launc

Pre_figure_turbox-c2130c-lal.1-gssi12

tao.liao@thundersoft.com

8/56




her3

-dev

AF:HiCar: Add recent usage app page. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 1689527f0a22b97856899e95ha461e2e693855chc

#35 - 2023-09-05 13:58 - IoT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

309684

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar; Add recent usage app support. TC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-Id: laee974bd29d130c84c2¢c36520809b2088c2a90f4

#36 - 2023-09-05 13:58 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

309677

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Add recent usage app support. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 10e7e5163e20a45b03a40f37c68ec16a86696223a

#37 - 2023-09-05 15:21 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

309783

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Add HiCarService binder died status. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-75Change-1d:
13278bf1d08a9c6720efdefe5f80c51d7ad652664

#38 - 2023-09-05 15:21 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

309784

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize service died logical and finish projection activity when HiCarService died. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144,
VCH-75Change-Id: 144b06d49cd904b5cd9e5553b8h7bbd9004f40501

2025-07-03

9/56




#39 - 2023-09-05 15:21 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

309785

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Disconnect HiCar when service was died.Fix recent usage list click problem.TC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-75Change-1d:
la2b7abbcd82056ffal628a5bf1e7ff9686ee015d

#40 - 2023-09-05 16:59 - 0T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

309643

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Show QR code when get pincode timeoutl.show gr code2.show connect load animation3.show open bluetooth animationTC-RID:
1201-0208001Issuel D: TS-R-DF-119144Change-Id: 1570cf2738b4f8dfd95ce1182a9082298836a843d8

#41 - 2023-09-05 19:05 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

309886

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Fix projection activity black problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-87Change-1d:
13934¢220bf5978bb95c89ad429bc81190656ace0

#42 - 2023-09-06 10:12 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

310104

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Fix get all apps callback usage problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-10, VCH-49Change-Id:
Ibefec97af4719eea855d9323cbbf0c93c367973a

#43 - 2023-09-06 17:03 - IoT scm

2025-07-03

10/56




Gerrit Merge Information(

1D

Project

Branch

Uploader

310325

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Connect init failed pageTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-45Change-Id: If1f0ec17faa6c1488ca5548e0ebdba04a6e8f383

#44 - 2023-09-06 17:26 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

310291

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize project logical.Set projcet corner square. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
1c64e4214e962b9071f57fabfc3a8b18d9bf85aba

#45 - 2023-09-07 11:37 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

310256

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Dismiss hicar connect diaolog when disconnectTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-84Change-Id:
11c7d81a00b0f7ada24795c1e97d883f07214d2dd

#46 - 2023-09-07 14:54 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

310702

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Fixed when start HiCar activity,close bluetooth cant repoen bluetoothTC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-98Change-Id:
10ba09806a51161eb14ddd88797986fcf7badc67a

#47 - 2023-09-08 10:37 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

310753

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wujun.wang@thundersoft.com

2025-07-03

11/56




AF:HiCar: add sepolicy for hircarsdkAdd sepolicy. TC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-13Change-Id:
16680d4bc06a9d79eda5e6253b6c0989bba8facac

#48 - 2023-09-08 10:37 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
310328 general/device/qcom/qssi Pre_figure_turbox-c2130c-lal.1-gssi12 | wujun.wang@thundersoft.com
-dev

AF:HiCar: open hicarsdk debug flagSet persist.vendor.hicarsdk.debug default to 1. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-13Change-1d:
181b41d001858ef570452beac3c78ea7d51dfee55

#49 - 2023-09-08 17:35 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
310977 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCar:Connect page UITC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: Ifda6bd13e06821500f66d1c2e493b1804a9d2fc2

#50 - 2023-09-08 17:58 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
311088 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Optimize project and launch app logical.1. Optimize project status and add toast when failed;2. Modify launch app logical and add toast when failed;3.
Add FPS property, set to 60fps. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-63, VCH-101, VCH-105, VCH-106, VCH-107, VCH-108Change-Id:
19a4324ed9523580bdd0fa26aee67cebd8328bfe3

#51 - 2023-09-08 18:07 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
311084 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
her3 -dev

2025-07-03 12/56




AF:HiCar: Fix HiCar converged desktop show status problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1868ae49a0e229ce03b97db46c28cee2ce54f2640

#52 - 2023-09-08 18:39 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

311207

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize device boot receiver(use action USER_UNLOCKED).TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
11dbabaalfd3752529edea98229c34ebbf7e7h446

#53 - 2023-09-11 16:16 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

311464

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:HiCar: Only show HiCar management entry in HiCar converged desktop.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-102Change-1d:
16be4e0526d647517f30ec35eae2b50b5568db15¢

#54 - 2023-09-11 16:27 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

311461

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Fix NullPointException problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-115, VCH-116Change-1d:
150202808707e63d41835ec5¢199891210c8398a9

#55 - 2023-09-12 15:16 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

311976

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize HiCar function.1. Pause meida when finish projection;2. Replace HiCar main icon in smart desktop and converged desktop; TC-RID:
1201-0208001Issuel D: TS-R-DF-119144Change-1d: 10404alcfad0c24f67248055cace0ae30a1297b7f

2025-07-03

13/56




#56 - 2023-09-12 15:17 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

311945

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Dialog Ul1.Dialog UI2.When manual connect,phone show connect dialog3.change show time of init Failed TC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-1d: 14dc746b01c15fb147ed5dfff94b4420537340f36

#57 - 2023-09-12 15:28 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

312007

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Fix HiCar converged desktop item height problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
19a70980cd08e63f1b553101ae5a6d6b2da68a455

#58 - 2023-09-13 11:00 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

312173

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:HiCar:Fixed when connect enable use TTCastTC-RID: 1201-0208001IssuelD: TS-R-DF-119144,VCH-122Change-1d:
19efb06904c58fdcbaf7d4701c1ch883fdc810e76

#59 - 2023-09-13 17:56 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

312512

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Limit frequency of start advTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 1c63196e3484fa135196ed2e5ee6d568316500254

#60 - 2023-09-15 09:53 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-03

14/56




312831 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

Car -dev

AF:HiCar: Launch projection page when call in or voice on.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-129Change-Id:
1724b6344008e95h3218725a1fa784cfal040d761

#61 - 2023-09-15 17:43 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
313147 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
her3 -dev

AF:HiCar:Connect manager dialog UITC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: Ifae4be8acch0ca847cccc08e8396a23e0f4ec87c

#62 - 2023-09-19 17:51 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
313879 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Deal HiCar background change message. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-123Change-Id:
1fa5682a423ba0036a23fald28844e457bd85f9d8

#63 - 2023-09-21 15:56 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
314851 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Optimize launch hicar app logical. TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d: lac93c1c6fcfbe225314c520663f4c57e3735a30d

#64 - 2023-09-21 22:29 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
315044 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCar:Fixed Pin code get failTC-RID: 1201-0208001Issuel D: TS-R-DF-119144, VCH-172Change-Id: 11dc77584507e8cf15938¢c44567e17458%aab57b

2025-07-03 15/56



#65 - 2023-09-22 14:01 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

315184

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Remove CAR_BRAND and DAY_NIGHT_MODE config info.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-138, VCH-143Change-1d:
102905069246d2f435ef799a24f7c036eebd85405

#66 - 2023-09-22 14:02 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

314925

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize HiCar converged desktop.1. Change to HiCar converged desktop when connected;2. Narrow HiCar app click range; TC-RID:
1201-0208001IssuelD: TS-R-DF-119144, VCH-145, VCH-146Change-Id: 12e8bd04b4c412ba24cc642¢268a1f20f7904914a

#67 - 2023-09-25 14:15 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

315411

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:HiCar:Connect managet disable connecting deviceTC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-160Change-Id:
Ideee2b88303d1f4575c9801700a93933855022ca

#68 - 2023-09-25 14:15 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

315404

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Fixed Ul bugl.cancle button2.start send adv3.pin code time out dialogTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-140,
VCH-175Change-1d: 1f26d4e3b8584241f0b213f2573536¢70e59f5e73

2025-07-03

16/56




#69 - 2023-09-25 14:15 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

315415

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Connecte manager disable connecting deviceTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, \VCH-160Change-1d:
lebd4c1d9865f8ece5141c21f6908aaeh81fe7e60

#70 - 2023-09-25 18:51 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

315811

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Modify connect success toast logical.When remove hicar app, remove app in recents. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-97,
VCH-225Change-1d: 122d6a1c6f02ce59fb7afe67d98b049af053830e4

#71 - 2023-09-25 18:51 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

315812

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize converged desktop page show logical. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-225Change-1d:
le24e60ada7491e2e914447925fc8375626eeef1f

#72 - 2023-09-25 18:51 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

315813

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Add custom hashcode method for ITCAppInfoBean. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-225Change-Id:
1042ffac281a5ed461dccad477e3bc5ad06aa2b24

#73 - 2023-09-26 18:05 - loT scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

316233

2025-07-03

general/platform/vendor/hht/apps/Hi

Pre_figure_turbox-c2130c-lal.1-gssi12

tianying.cheng@thundersoft.com

17/56




Car

-dev

AF:HiCar:Connect status toast1.Connect Toast2.Fixed start quick connect fail by auto switch3.Disable Connect activity when auto connectTC-RID:
1201-0208001IssuelD: TS-R-DF-119144Change-1d: 13adeb50486954169af0ebffaa2e7c55d554776¢2

#74 - 2023-09-26 19:57 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

316354

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Fix converged desktop problem when change font size. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
10e8050047e7745bacaeead12bf6bf798a6eecOd?

#75 - 2023-09-26 20:30 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

316405

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Add filter in bluetooth brodcastreiverTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 1472¢656ed05ebbb8dale01367eefccd42f247f7b

#76 - 2023-09-27 17:21 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

316636

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Optimization recentconnect and toastTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: laa49e32aa859f7f71c9f64e0f8cac61599545cfh

#77 - 2023-09-27 18:38 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

316740

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

2025-07-03

18/56




AF:HiCar:Fixed recent connect show error when double time connectTC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-266Change-Id:
12c269e9e4d2755f414chbbd38a9b44360505d6db7

#78 - 2023-09-28 10:24 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

316844

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Add get app list interface.Optimize log print. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-256Change-1d:
19d9778548b6f57da0910ac2fdf142a7599dde7a8

#79 - 2023-09-28 10:24 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

316845

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Add get app list interface.Optimize log print. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-256Change-Id:
160c63048beb3fff704d16a981bd567298210d4c3

#80 - 2023-09-28 10:24 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

316846

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Modify retore converged desktop data logical. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-256Change-Id:
1c3c58cf18cheab7863f2a04e81429bdf6f777336

#81 - 2023-09-28 14:53 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

316924

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Disconnect hicar when wifi ap is disconnected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-268Change-Id:
13823a75a4¢10fd5c63e097759258efdfabba8ada

2025-07-03

19/56




#82 - 2023-10-06 16:29 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

316964

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Add custom icon toast. TC-RID: 1201-0208001lssuelD: TS-R-DF-119144, VCH-261Change-Id: 1ddb1d918ed9e56¢253ffbbc1110beb827306e5¢5

#83 - 2023-10-06 21:27 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

317190

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Disable cameral.Disable camera2.uninit when shutdownTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1756126ddb412b1003c86¢7foff9fe7bc99e2e0ec

#84 - 2023-10-06 21:27 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

317196

general/platform/vendor/thundercom
m/apps/TCService

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:HiCar:Uninity when shutdown1.uninit when shutdownTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
19db546e64c723f0a7df8ae57d83b2b91eal74fa3

#85 - 2023-10-06 21:27 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

317195

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Uninity when shutdown1.uninit when shutdownTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
163d8cf9alclcc7686c989aef6156¢33b6d280764

#86 - 2023-10-07 16:35 - loT scm

Gerrit Merge Information(]

2025-07-03

20/56




1D

Project

Branch

Uploader

317302

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Recent Connect device errorl.Recent connect device error2.Add log whih trust devcie list and disconnect infoTC-RID: 1201-0208001lssuelD:
TS-R-DF-119144Change-1d: 1eb973b9d4a460f33f8121eb37b7b7329204cel15f

#87 - 2023-10-07 16:48 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

317309

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Change time of Pin code refresh interval TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 1e84120ffe26b45627688189390c1lecachd26f3ce

#88 - 2023-10-08 09:54 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

317378

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar: Change Disconnect button UITC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 15cd6853cffae000ddcd884efad5abab4259bc238

#89 - 2023-10-08 11:09 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

317419

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:HiCar:When disconnect back ConnecteActivity any timel.When disconnect back ConnecteActivity any time2.Dismiss pin dialog when connecte
successTC-RID: 1201-02080011ssuel D: TS-R-DF-119144Change-1d: 13a9948f7e2067eeal5754176416304b04dd5ab40

#90 - 2023-10-08 15:07 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

316575

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

2025-07-03

21/56




AF:HiCar:Update SDK hicarsdk-release_0927TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 15149121685cefe594864e78eddab9d5fad7837bb

#91 - 2023-10-08 18:05 - IoT scm

Gerrit Merge Information(]

1D Project Branch Uploader
317555 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Don't intercept system back event. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-155Change-Id:
18f11c451735916d09dbd8f2403e81db461a3130d

#92 - 2023-10-08 18:12 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
317605 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCar:Change Connect deviceTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 11da79f1f8df0b555d62b239293df3eb2725fe39c

#93 - 2023-10-08 18:52 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
317607 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
her3 -dev

AF:HiCar:Change Connect device TC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-Id: 172d861e7864ec6f11e81fee13d86867e2d67bed8

#94 - 2023-10-08 20:19 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
317559 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-qgssi12 | tao.liao@thundersoft.com
-dev

AF:HiCar: Fix converged desktop blank problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-309Change-1d:
10eb51acf8131d30c5fach6ee7c8d62a7f5caace6

#95 - 2023-10-08 20:19 - loT scm

Gerrit Merge Information(]

2025-07-03 22/56



1D

Project

Branch Uploader

317558

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2 | tao.liao@thundersoft.com

-dev

AF:HiCar: Fix converged desktop blank problem.TC-RID: 1201-0208001IssuelD:
11627832ee6a2a5ee83c0d02257a0a53ed4e45¢13

TS-R-DF-119144, VCH-309Change-1d:

#96 - 2023-10-08 20:19 - loT scm
Gerrit Merge Information(]

1D

Project

Branch Uploader

317556

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil12 | tao.liao@thundersoft.com

-dev

AF:HiCar: Fix converged desktop blank problem.TC-RID: 1201-0208001IssuelD:
1c64ed148826df69fh21878bdde4158eb057b0f85

TS-R-DF-119144, VCH-309Change-1d:

#97 - 2023-10-09 11:48 - loT scm

Gerrit Merge Informationd

1D

Project

Branch Uploader

317673

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

-dev

AF:HiCar: Fix converged desktop is not dismiss when disconnected. TC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-229Change-Id:
Ic5bce7682ef4ead6d0a3c630626494b9d9c835al

#98 - 2023-10-09 17:48 - 10T scm

Gerrit Merge Information(

1D

Project

Branch Uploader

317844

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2 | tao.liao@thundersoft.com

-dev

AF:HiCar: Add app start time out check and toast. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-292Change-Id:
17f2e5a57afeac81d2eff187229cd05bf2196f654

#99 - 2023-10-10 11:39 - loT scm
Gerrit Merge Information(]

1D

Project

Branch Uploader

318051

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com

-dev

2025-07-03

23/56




AF:HiCar: Retry connectl.Retry connect2.Fixed device name is 3.Fixed qr image crashTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-275,

VCH-299Change-Id: laff7853e48e55376255f73a7e1f65bb30ac2682f

#100 - 2023-10-10 14:48 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
318096 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

1624727075bba%ab7cfe4cf409f48107aahf83325

AF:HiCar: Optimize start and pause projection logical.Optimize recent use app max record size. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:

#101 - 2023-10-10 16:55 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
318179 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

136ad067a6406ba26fe8a9556ed9dc257dcd13f23

AF:HiCar: Optimize projection page waiting view. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-350Change-1d:

#102 - 2023-10-10 20:24 - IoT scm

Gerrit Merge Information(]

1D Project Branch Uploader
318220 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
her3 -dev

110979a7938b77e0166acf54a7260ee8d5947f9d4

AF:HiCar: Disable TCCast when HiCar device is connected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-320Change-1d:

#103 - 2023-10-11 09:40 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
318226 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

2025-07-03

24/56




AF:HiCar:When bluetooth open finish open bluetooth pagel.When bluetooth open finish open bluetooth page2.Change promote text3.Disabel Pin Connect
button when recent connectChange-Id: 1956b35e1d514fc1c8fed5e2fbbb07f0c8a2eec73TC-RID: 1201-0208001Issuel D: TS-R-DF-119144, VCH-288

#104 - 2023-10-11 09:40 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

318282

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:HiCar: Dissmiss dialog when click out of dialogTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-302Change-1d:
1074daf5e1da5a006adc459e5751b66369f136938

#105 - 2023-10-11 16:36 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

318453

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Fix launcher crash when save state bundle. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-363Change-1d:
18f9d6309affd8e0cf1025d37319d84bd962527¢eb

#106 - 2023-10-12 10:00 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

318412

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar: Fixed start can't start hicar launcherl.Fixed start can't start hicar launcher2.Modify connect promot text3.When get pin code time out into sdk init failed
pageTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 135bfd74472925683e607db3a8bc7bece31173ecO

#107 - 2023-10-12 14:20 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

318778

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

2025-07-03

25/56




AF:HiCar: Finish FailedActivity when device is connected.Set support usb is false. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, \VCH-300Change-1d:
1d4a0215132ff0beb18447b81ed2ae0776af8dee8

#108 - 2023-10-12 15:04 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
318739 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:Reconnect AnimationTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 154e272db419376bfd9b085673cd7e539010e1d2c

#109 - 2023-10-12 15:33 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
318824 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCarLauncher:Fiexd connect bluetooth auto connectTC-RID: 1201-0208001IssuelD: TS-R-DF-11914400 VCH-263Change-Id:
1d37ebfb3b3e291e45fbbd4ae963fclaa7f80cc05

#110 - 2023-10-12 16:58 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
318883 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCarLauncher:Fiex can't reconnect when kill sdk processTC-RID: 1201-0208001Issuel D: TS-R-DF-119144, VCH-74Change-I1d:
13ad0elc9ccd6249b8f15cel1c2744dc7a8548b5a

#111 - 2023-10-13 11:32 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
319227 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCarLauncher:Fixed connect animation errorTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-23Change-1d:
190f624ed355dc68a29b310f8fb85fe4fdd078282

#112 - 2023-10-13 14:52 - 10T scm

Gerrit Merge Information(]

2025-07-03 26/56



1D

Project

Branch

Uploader

319271

general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-lal.1-gssil2 | tao.liao@thundersoft.com

-dev

AF:HiCar: Optimize disconnect HiCar device.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-441Change-Id:
1a8751db14cec3404c67fd15f4dae49819e6df9d3

#113 - 2023-10-13 19:24 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

319412

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

ladaa8e21e1b140b2717cadc14bb74160697c7fc3

AF:HiCarLauncher: Fixed can't open HiCar app problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-455Change-Id:

#114 - 2023-10-14 16:20 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

319496

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCarLauncher: Modify disconnect status when wifi ap is disconnected. TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id:
15a63d099bd15c6429011247ae2cf89767d1933f1

#115 - 2023-10-14 16:20 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

319398

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

17f5d24a2¢c5788e764135fh27f2579462794ab913

AF:HiCar: Modify device boot receiver(use action BOOT_COMPLETED).TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:

#116 - 2023-10-16 17:14 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

319662

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

2025-07-03

27/56




AF:HiCar: Change HiSightSurfaceView touch event ACTION_CANCEL to ACTION_UP;TC-RID: 1201-0208001IssuelD: TS-R-DF-119144,
VCH-215Change-Id: laafad4175f8f579bfcfd0fl2cde2dae243e3aees

#117 - 2023-10-16 19:47 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
319786 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Navigate to Home when hicar projection pause. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-368Change-1d:
1997fce977c115b4aab45ed5ed24488ea2d6250ec

#118 - 2023-10-17 09:49 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
319698 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCarLauncher:When startReconnect start animation1.When start reconnect start animation2.Modify screen sizeTC-RID: 1201-0208001lssuelD:
TS-R-DF-119144, VCH-392, VCH-464Change-1d: 15f1df0492784dad436d1ca023ac7f44fe4d46fc3

#119 - 2023-10-17 10:32 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
319965 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCar: Delay finish ConnectActivity when first connect. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-440Change-Id:
1f4a04cd12f86f218c9cf41e83775aa5adb73de3f

#120 - 2023-10-17 16:12 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
320117 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
her3 -dev

AF:HiCar: Optimize converged desktop ui.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 19fb6e116dd909520adbe9cc9e134511e2f4f08a8

2025-07-03 28/56



#121 - 2023-10-18 09:34 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

320258

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Pin dialog can't dismiss when auto reconnectl.Pin dialog can't dismiss when auto reconnect2.Add log3.fixed can reconnect when kill hicar
progressTC-RID: 1201-0208001Issuel D: TS-R-DF-119144, VCH-497Change-Id: lebd9ed73a090dc638450ee4fha26908355183c74

#122 - 2023-10-19 17:50 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

320938

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCarLauncher: Optimize pin connect button. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-241Change-Id:
14c76d0c60722a932b42422700ca7f6f27f719f96

#123 - 2023-10-19 17:50 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

320933

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize disconnect button. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-500Change-1d: 1534895433b5c6060dd0ce6065cc62bade3a8def3

#124 - 2023-10-20 16:23 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

321175

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCarlLauncher: Start Reconnect by bluetooth connected TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
17b04b78f0faed69bd8276b5b8d62c37ac2609905

#125 - 2023-10-23 18:27 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-03

29/56




321728

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2 | tianying.cheng@thundersoft.com

-dev

AF:HiCarLauncher:optimize bluetooth servicel.optimize bluetooth service2.optimize connect info providerTC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-Id: 14al1a5ac0e359abad4ead319c95663163e393b47

#126 - 2023-10-25 15:49 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

322572

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Fix get connected device problem.TC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-Id: Iff350f51aa8c4a3e307ab02f3a046a848c4481ce

#127 - 2023-10-25 15:49 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

322571

general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Optimize hot spot connect logical. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 155b67f7d17a2135504fa015997b18c5¢d9c7370c

#128 - 2023-10-25 18:45 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

322468

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCarLauncher:Limite Reconnect times1.Limite Reconnect times2.Remove recennect fail toastTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
laabd6d32ec3978b15a5¢c6ef00273869fcd214al1l

#129 - 2023-10-25 19:19 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

322627

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-03

30/56




AF:HiCar: Add HiCar in build environmentAdd HiCar Launcher and HiCar SDK in build environment. TC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-Id: 1998e955d9e35892b19f61c0f78cch85293a67097 (cherry picked from commit d486af6e58f2549eeb0e0aled531565cfd157d3b)

#130 - 2023-10-25 19:32 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

322774 general/platform/build/soong Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:HiCar: Add HiCarServiceManager aar. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 19077c683af0753efb45965f7cd82ce03b4d3584a(cherry
picked from commit c459a798908536a6ea3791483012682328de374f)

#131 - 2023-10-25 19:32 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader

322775 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:HiCar: Add HiCarService config. TC-RID: 1201-02080011IssuelD: TS-R-DF-119144Change-1d: 17ea3750b442a3bdfe226aa5579af6f30ba21f507 (cherry picked
from commit e4419aa5223ed2accd84509b30db1f4c0052bf22)

#132 - 2023-10-25 19:33 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader

322776 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:HiCar: Add HiCarServiceManager.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: lab3b85568cc7a8d38f499¢420316006110e82866(cherry
picked from commit ab7f02¢72009¢493b88ad4d07b2df1d4b11d53f9)

#133 - 2023-10-25 19:35 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader

322778 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-release_sorp

2025-07-03 31/56




AF:HiCar: Add priv_app HiCarService config. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1fa265db79be3f6c65f76c60572968e55¢6868471(cherry picked from commit b13dcc616c8abadf4cab9667d064891eeealc398)

#134 - 2023-10-25 19:39 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
322779 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar: Add HiCar converged desktop to Launcher. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
16d7f50dc1150277¢833025042383aad9a8f5b672(cherry picked from commit 796ff160ac5hbe5e150462a391a3cc24181075c¢d)

#135 - 2023-10-25 19:41 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
322781 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar: Fix HiCar converged desktop interaction problem.TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id:
1b1319c7f74abfb7f720ccbad27c2fbc281d6e66a(cherry picked from commit c40b57d68a338615002e37¢f689ce9f1144c1d1c)

#136 - 2023-10-25 19:42 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
322782 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar:Connect managerTC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d: 13b7180fc748da8da26cad2d27d8865b2febeb733(cherry picked from
commit ec3a7fb886cadclb23baeb0ad9dce3592f78e9e5)

#137 - 2023-10-25 19:42 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader

322783 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

2025-07-03 32/56




AF:HiCar:Add trust device info methodTC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-Id: Ice66ad5d9022e02da52643fch3a916d45¢42097c(cherry
picked from commit 634fc6a0551b8f4755c08c72da5625f90297b0e4)

#138 - 2023-10-25 19:43 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

322784

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Add recent usage app page.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 1689527f0a22b97856899e95ba461e2e693855chc(cherry
picked from commit 531f4dfedb985fac23597¢690c011bbb1alf90a6)

#139 - 2023-10-26 09:56 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

322777

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Optimize HiCarServiceManager.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 1f43cd05d9948ebc7c240fa75b924779eabebdda8(cherry
picked from commit 1cdc508dd73d1365883¢c59a3a3¢c371d65d80b1860)

#140 - 2023-10-26 09:57 - 0T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

322789

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Add recent usage app support. TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d: 10e7e5163e20a45b03a40f37c68ec16a86696223a(cherry
picked from commit ceb070ac6d3ff52c8deelc70b916dac7156d1b3d)

#141 - 2023-10-26 10:12 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

322791

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

AF:HiCar: Add HiCarService binder died status. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-75Change-Id:

33/56




13278bf1d08a9c6720efdefe5f80c51d7ad652664(cherry picked from commit 4f46858076618611b16d2630e3c4446f0fa02438)

#142 - 2023-10-26 10:13 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

322641

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Only VC1 bind HiCarService.TC-RID: 1201-0208001lssuelD: TS-R-DF-119144Change-Id: 1c8b4f2c3f2814e53f9ced47cecd255fbc8b7594d

#143 - 2023-10-26 19:20 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

322870

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tianying.cheng@thundersoft.com

AF:HiCarLauncher:Fixed Pin Code timeoutTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-495Change-1d:
15bb6c773bb3a77eb4bf59a25d2718acf51ae62d3

#144 - 2023-10-26 22:02 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323030

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Fix HiCar converged desktop item height problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
19a70980cd08e63f1b553101ae5a6d6b2da68a455(cherry picked from commit e27abfb7bc573f0c4ef8af5h1983a2925ea66bf1)

#145 - 2023-10-26 22:27 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323214

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar:Dismiss hicar connect diaolog when disconnectTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-84Change-Id:
11c7d81a00b0f7ada24795¢1e97d883f07214d2dd(cherry picked from commit 11d8643abb007c40c13bf70a0f75192cebae2¢91)

#146 - 2023-10-26 22:31 - 10T scm

2025-07-03

34/56




Gerrit Merge Information(

1D Project Branch Uploader
323033 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar:Connect manager dialog UITC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: Ifae4be8acch0ca847cccc08e8396a23e0f4ec87c(cherry picked
from commit 42448ccc123066a89303867¢9a89d026af1685d3)

#147 - 2023-10-26 22:32 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
323215 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar: Fix HiCar converged desktop show status problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1868ae49a0e229ce03b97db46c28cee2ce54f2640(cherry picked from commit af3a388b27a28¢c9c656b1f9570746ed8f2579b8b)

#148 - 2023-10-27 00:29 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
323216 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar: Disconnect HiCar when service was died.Fix recent usage list click problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-75Change-1d:
la2b7abbcd82056ffa1628a5bf1e7ff9686ee015d(cherry picked from commit 0c52cbb97d08deall1f0ace71785e564be85e9e7)

#149 - 2023-10-27 00:32 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader

323218 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:HiCar: add sepolicy for hircarsdkAdd sepolicy. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-13Change-Id:
16680d4bc06a9d79eda5e6253h6c0989bba8facac(cherry picked from commit e64007f6ebb730897¢93d47fecedcOfeech4bd33)

2025-07-03 35/56



#150 - 2023-10-27 00:33 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323219

general/device/qcom/qssi

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: open hicarsdk debug flagSet persist.vendor.hicarsdk.debug default to 1.TC-RID: 1201-0208001Issuel D: TS-R-DF-119144, VCH-13Change-1d:
181b41d001858ef570452beac3c78ea7d51dfee55(cherry picked from commit 82e3c672341596d17df20297412e797dd901824b)

#151 - 2023-10-27 00:34 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323220

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Only show HiCar management entry in HiCar converged desktop.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-102Change-1d:
16be4e0526d647517f30ec35eae2b5005568db15¢(cherry picked from commit 41501c388dd3a6115fdb0ad4117c4b4bbaedab3a)

#152 - 2023-10-27 00:40 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323224

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Optimize HiCar converged desktop.1. Change to HiCar converged desktop when connected;2. Narrow HiCar app click range; TC-RID:
1201-0208001IssuelD: TS-R-DF-119144, VCH-145, VCH-146Change-1d: 12e8bd04b4c412ba24cc642¢268a1f20f7904914a(cherry picked from commit
2a9h89d948348fd58b2c95beld38a%eelddbede’)

#153 - 2023-10-27 00:41 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323226

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

AF:HiCar;:Connect managet disable connecting deviceTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-160Change-1d:

36/56




|deee2b88303d1f4575c9801700a93933855022ca(cherry picked from commit 8be90f4547633f7da9944aeadb75edf2eb83aa89)

#154 - 2023-10-27 00:41 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader

323227 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

-release_sorp

AF:HiCar:Connecte manager disable connecting deviceTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-160Change-I1d:
lebd4c1d9865f8ece5141¢21f6908aaeb81fe7e60(cherry picked from commit fcc06940e0514245e4398¢477h75f484ebd11c55)

#155 - 2023-10-27 00:42 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
323228 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar: Optimize converged desktop page show logical. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-225Change-1d:
le24e60ada7491e2e914447925fc8375626eeeflf(cherry picked from commit 8f9330d8f8219aa%a9bf271c672e0ccfad6e75¢5)

#156 - 2023-10-27 00:43 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader

323229 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

AF:HiCar: Add custom hashcode method for ITCAppinfoBean. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-225Change-1d:
1042ffac281a5ed461dccad477e3bc5ad06aa2b24(cherry picked from commit b2c997efc7570ab50b4675¢63917ef8d3aafa2c2)

#157 - 2023-10-27 00:47 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
323230 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar; Fix converged desktop problem when change font size. TC-RID: 1201-0208001IssuelD; TS-R-DF-119144Change-Id:
106805004 7e7745bacaeead 12bf6hf798a6eec0d7(cherry picked from commit ed276b6f913c564db8f742¢7d9a479ea2de94882)

2025-07-03 37/56



#158 - 2023-10-27 00:48 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323231

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Add get app list interface.Optimize log print. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-256Change-Id:
19d9778548b6f57da0910ac2fdf142a7599dde7a8(cherry picked from commit dbae3ced48824h290f4a808b2c1ec91b365b6846)

#159 - 2023-10-27 00:53 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323232

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Modify retore converged desktop data logical. TC-RID: 1201-0208001lssuelD: TS-R-DF-119144, VCH-256Change-Id:
1c3c58cf18chea67863f2a04e81429bdf6777336(cherry picked from commit 21726373e493ba05f174ch501668cd022dc83c31)

#160 - 2023-10-27 00:58 - IoT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

323233

general/platform/vendor/thundercom
m/apps/TCService

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCar:Uninity when shutdownZ.uninit when shutdownTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
19db546e64c723f0a7df8ae57d83b2b91eal74fa3(cherry picked from commit 1lae2025a47ae30232d187d4f8b1534455250a4a9)

#161 - 2023-10-27 00:59 - 10T scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

323254

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

AF:HiCar;Uninity when shutdown1.uninit when shutdownTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:

38/56




163d8cf9alclcc7686c989aef6156c33b6d28b764(cherry picked from commit 5745a80be228d8bdf04bcde6f8bc0719fhe8838f)

#162 - 2023-10-27 01:01 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
323256 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar: Change Disconnect button UITC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 15cd6853cffae000ddcd884efad5a6ab4259bc238(cherry
picked from commit a29c76729be01bbdf6f2e447434f9790b1e82781)

#163 - 2023-10-27 01:02 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
323259 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar:Change Connect deviceTC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d: 172d861e7864ec6f11e81fee13d86867e2d67bed8(cherry picked
from commit 208111143379e984314d58ec4711067275d3e0c4)

#164 - 2023-10-27 01:03 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader

323260 general/platform/frameworks/base Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com

-release_sorp

AF:HiCar: Fix converged desktop blank problem.TC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-309Change-1d:
10eb51acf8131d30c5fac56ee7c8d62a7f5caace6(cherry picked from commit c8f1b828fcad6930b843fb2b7hb2687f9d95¢3426)

#165 - 2023-10-27 01:03 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
323261 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar; Fix converged desktop blank problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-309Change-Id:
11627832ee6a2a5ee83c0d02257a0a53ed4e45¢13(cherry picked from commit d9bacb10f810de25f5a75b00acefadf7a75¢5b03)

2025-07-03 39/56



#166 - 2023-10-27 01:04 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323262

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Fix converged desktop is not dismiss when disconnected. TC-RID: 1201-02080011ssuelD: TS-R-DF-119144, VCH-229Change-Id:
1c5bce7682¢ef4ead6d0a3c630626494b9d9c835al(cherry picked from commit 39f65adb809d9285950353d9b19577df66alale3)

#167 - 2023-10-27 01:08 - IoT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

323263

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Disable TCCast when HiCar device is connected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-320Change-1d:
110979a7938b77e0166acf54a7260ee8d5947f9d4(cherry picked from commit 05ee2aa7c419ad2dc7029a69e234e21c58964542)

#168 - 2023-10-27 01:13 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323271

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Optimize disconnect HiCar device. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-441Change-1d:
1a8751db14cec3404c67fd15f4dae49819e6df9d3(cherry picked from commit 606ac1642e16723e7f7edbl1a6964c5e98¢c2636ec)

#169 - 2023-10-27 01:22 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323279

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar; Optimize converged desktop ui. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 19fb6e116dd909520adbe9ccOe134511e2f4f08a8(cherry
picked from commit d7ffda2ad785a4e99e3366184489e7fd7491c6ad)

2025-07-03




#170 - 2023-10-27 01:55 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323315

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Optimize disconnect button. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-500Change-Id:
1534895433b5c6060dd0ce6065cc62bade3a8def3(cherry picked from commit 1d55ce9e38celdf95a26bdb741d16d5fdb78cd30)

#171 - 2023-10-27 02:16 - 0T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

323336

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Fix get connected device problem.TC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-1d: Iff350f51aa8c4a3e307ab02f3a046a848c4481ce(cherry
picked from commit 73df6e51753e3e8d75c¢01c5¢f2110b382fh9941d)

#172 - 2023-10-27 02:17 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323337

general/platform/vendor/thundercom
m/apps/VehicleControl

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Optimize hot spot connect logical. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
155h67f7d17a2135504fa015997b18c5cd9c7370c(cherry picked from commit b7dd36f2a0f5e8c7b4209c786b5a50a75d1147¢)

#173 - 2023-10-27 02:17 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323338

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher:Limite Reconnect times1.Limite Reconnect times2.Remove recennect fail toastTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
laabd6d32ec3978b15a5¢c6ef00273869fcd214all(cherry picked from commit 3e341b37eafd379558cc8d05572359dc628fc56a)

2025-07-03

41/56




#174 - 2023-10-27 02:18 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323339

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Only VC1 bind HiCarService. TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id: Ic8b4f2c3f2814e53f9ced47cecd255fbc8b7594d(cherry
picked from commit b0672a97eedfe674a00df96bdf9b3736ab04b8a0)

#175 - 2023-10-27 02:19 - loT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

323340

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher:Fixed Pin Code timeoutTC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-495Change-1d:
15bb6c773bb3a77eb4bf59a25d2718acf51ae62d3(cherry picked from commit 42045¢3bdf7b9cc583894d805b705a3dd5b4f367)

#176 - 2023-10-27 10:54 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

323425

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Fix launcher crash when save state bundle. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-363Change-Id:
18f9d6309affd8e0cf1025d37319d84bd962527eb(cherry picked from commit al4a2d097a6678e473f8a91cb0ccf49560c250ba)

#177 - 2023-10-27 14:06 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

323492

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Fix merge conflict. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 172646ef643c6ef606454a601e492c5b4a7486852

#178 - 2023-10-27 16:08 - IoT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-03

42/56




323562

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2 | tao.liao@thundersoft.com

-dev

AF:HiCarLauncher: Fix flash original desktop problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-168Change-Id:
197ebbe55b284e29d63d0d8e67b16f274c3b9d8f0

#179 - 2023-10-30 16:18 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

324044

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp_mce

wangxl0510@thundersoft.com

AF:HiCar:Remove HiCar for MCE.Remove HiCar for MCETC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1d41866253545e930740a8a799h9f3a54262a876

#180 - 2023-10-30 17:59 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

324009

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCarLauncher:Fixed reconnect when wifi disconnectTC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-1d:
1308b04449bch347¢94359f4803f8a874413alb7e

#181 - 2023-10-30 19:38 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

324123

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

AF:HiCarLauncher:Fixed ConnectActivity context NullPointerException. TC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-1d:
le54d5eaaf53f38ba2dfe0b929d468863abd990c3

#182 - 2023-10-31 17:09 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

324397

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

2025-07-03

43/56




AF:HiCarlLauncher:Fixed bluetooth open ui errorTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 126289d8de88738ad51ebdb178bfcdbf3de0f826¢

#183 - 2023-10-31 19:14 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

324459

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tianying.cheng@thundersoft.com

AF:HiCar:Fixed HiCar Smart Desktop text errorTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 16e7bf24e77ad73439030e441cac3f6893fd3137d

#184 - 2023-10-31 19:25 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

324484

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher: Fix flash original desktop problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-168Change-Id:
197ebbe55b284e29d63d0d8e67b16f274c3b9d8f0(cherry picked from commit 3ba2bc1f4b6a60e4533d962681d9cle6eladf7d4)

#185 - 2023-10-31 19:25 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

324486

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCarlLauncher:Fixed reconnect when wifi disconnectTC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-Id:
1308b04449bch347c94359f4803f8a874413alb7e(cherry picked from commit 65ed65772e99bc83bec32062c4ebddfb4a1e02656)

#186 - 2023-10-31 19:26 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

324487

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher:Fixed ConnectActivity context NullPointerException.TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d:
le54d5eaaf53f38ba2dfe0b9a9d468863abd990c3(cherry picked from commit 876af1fbd3eb39bd57b8fa86d32f59d44b8d40bb)

2025-07-03

44/56




#187 - 2023-10-31 19:27 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

324490

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher:Fixed bluetooth open ui errorTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
126289d8de88738ad51ebdb178bfcdbf3de0f826¢(cherry picked from commit 67354280d741bf40a698d2913558aabdchféech9)

#188 - 2023-10-31 19:27 - loT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

324491

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar:Fixed HiCar Smart Desktop text errorTC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-1d:
16e7bf24e77ad73439030e441cac3f6893fd3137d(cherry picked from commit 2f8d44ee9ae9edf616f7f8c1d300f6325ea97717)

#189 - 2023-11-01 17:42 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

324860

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tianying.cheng@thundersoft.com

AF:HiCarLauncher:Fixed open bluetooth text errorTC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-1d: 1d4a514de890c8951029bfc0d0bb43eca05603a3b

#190 - 2023-11-01 17:51 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

324704

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher:Fixed open bluetooth text errorTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
1d4a514de890c8951029bfc0d0bb43eca05603a3b(cherry picked from commit 2b9996411842ed78f43ee1f6c4c0c96a70f63f3d)

#191 - 2023-11-02 13:35 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-03

45/56




325014 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

Car -dev

AF:HiCarLauncher: Fix media stop problem when back to launcher. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1165bb5f1986fe15094ea1724f8895df3784h305d

#192 - 2023-11-02 15:08 - 0T scm
Gerrit Merge Information(

1D Project Branch Uploader
324987 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
Car -dev

AF:HiCarLauncher:Removce projection connect iconl.Removce projection connect icon2.Fixed Pincode get errorTC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-Id: 18341e0d16a960d537560398a825fa5d94eeb232c

#193 - 2023-11-02 15:14 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
325079 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
her3 -dev

AF:HiCar:User package name change smart desktop nameTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
126f757de360b38c0e9027d7e127daf176620df51d

#194 - 2023-11-02 17:51 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
325159 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCarLauncher: Enable wifi when hicar is not connected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
1h6638659264889f2f7hb0f833bf6e2a30c8e50271

#195 - 2023-11-02 18:38 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
325195 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
Car -release_sorp

2025-07-03 46/56




AF:HiCarLauncher: Fix media stop problem when back to launcher. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1165bh5f1986fe15094ea1724f8895df3784b305d(cherry picked from commit 8273f96d2f9ec5cfd1ba2c2b447a0df351326be7)

#196 - 2023-11-02 18:38 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
325196 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher:Removce projection connect iconl.Removce projection connect icon2.Fixed Pincode get errorTC-RID: 1201-0208001IssuelD:
TS-R-DF-119144Change-1d: 18341e0d16a960d537560398a825fa5d94eeb232c(cherry picked from commit 529ffedeae147e768061c2a36a5df5e14ef1047d)

#197 - 2023-11-02 18:39 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
325198 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar:User package name change smart desktop nameTC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-I1d:
126f757de36b38c0e9027d7e127daf176620df51d(cherry picked from commit c07cd48cbb6064abad7hbffal4bflf3bfa2c29462)

#198 - 2023-11-02 18:39 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
325199 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher: Enable wifi when hicar is not connected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
1h6638659264889f2f7h0f833bf6e2a30c8e50271(cherry picked from commit 22a8d40f42577734e7740f5846e20857975¢902c)

#199 - 2023-11-03 14:22 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
325431 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

2025-07-03 47/56




AF:HiCarLauncher: Don't start connect activity when disconnected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
le73af8had54aa026e4e8b7d96e9691a08796ef7d

#200 - 2023-11-03 17:22 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
325405 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher: Don't start connect activity when disconnected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
le73af8ba954aa026e4e8b7d96e9691a08796ef7d(cherry picked from commit 1¢1671e220d0ce978f9bb4b895b40a189a62f255)

#201 - 2023-11-14 10:16 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
327696 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
her3 -dev

AF:HiCar: Fix crash problem when hicar page refresh.Optimize hicar page indicator. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
led167eec2de301eal6778e56dblalb2d799dc64b

#202 - 2023-11-14 14:27 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
328073 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCarLauncher: Modify HiCar text. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 1587c9alc3830a6fa239bd99c5a885490df18d3d0

#203 - 2023-11-14 16:07 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
328046 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher: Modify HiCar text. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id: 1587c9alc3830a6fa239bd99c5a885490df18d3d0(cherry
picked from commit 92b39f787e9bbb6c162b3b73dff398eb707d2119)

2025-07-03 48/56



#204 - 2023-11-14 21:46 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

328257

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCarLauncher: Modify HiCar main icon data. TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id: 166660ch0f3ee40eae34aecal69b38463ac6bdd92

#205 - 2023-11-14 21:46 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

328256

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Launcher: Modify HiCar main icon.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 19685e823a8cfobb6d94374dc56d62b6fc05f11c9

#206 - 2023-11-14 21:49 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

328277

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: Modify HiCar main icon.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d: 19685e823a8cfobb6d94374dc56d62b6fc05f11c9(cherry
picked from commit 7919e5510f05353716cebbb863ebh82a41fe64f6)

#207 - 2023-11-14 21:49 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

328056

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher: Modify HiCar main icon data. TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id:
166660ch0f3ee40eae34aecal69b38463ac6bdd92(cherry picked from commit 6ad22d6d038d2848f9594e52438989e57ed7a827)

#208 - 2023-11-17 14:20 - loT scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

329021

2025-07-03

general/platform/vendor/hht/apps/Hi

Pre_figure_turbox-c2130c-lal.1-gssi12

tao.liao@thundersoft.com

49/56




Car

-dev

Idchla5ealaa877a06¢185859e250641d6d12fa3f

AF:HiCarLauncher: Fix click cross view problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-293Change-1d:

#209 - 2023-11-17 15:19 - 10T scm

Gerrit Merge Information(

1D Project

Branch

Uploader

329059 general/platform/vendor/hht/apps/Hi

Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

Icf6fee5d853dc380d463bd657chc1b4273046838

AF:HiCarLauncher: Fix launcher converged desktop flash problem.TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id:

#210 - 2023-11-20 11:09 - 10T scm

Gerrit Merge Informationd

1D Project

Branch

Uploader

329344 general/platform/vendor/hht/apps/Hi

Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

1da812e8f8956c39e26ba761e70410032aa8e9020

AF:HiCarlLauncher: Set projection activity secure window and black background.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:

#211 - 2023-11-20 11:09 - loT scm

Gerrit Merge Information(]

1D Project

Branch

Uploader

329345 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

tao.liao@thundersoft.com

1023811013240fa2b33c5¢5c6249bb588¢9c8449¢

AF:HiCarLauncher: Exclude HiCarLauncher from recent. TC-RID: 1201-02080011ssuelD: TS-R-DF-119144Change-1d:

#212 - 2023-11-20 11:36 - 10T scm

Gerrit Merge Information(

1D Project

Branch

Uploader

329048 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

50/56




AF:HiCar: Fix crash problem when hicar page refresh.Optimize hicar page indicator.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
led167eec2de301eal6778e56dblalb2d799dc64b(cherry picked from commit 29d5e0a19393b68d3e3d99da20a0be61e5f2d65a)

#213 - 2023-11-20 11:37 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
329049 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher: Fix click cross view problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, VCH-293Change-1d:
Idchla5ealaa877a06¢185859e250641d6d12fa3f(cherry picked from commit d6f75b6eae72bae2b6180955393fh905d4dc0ead)

#214 - 2023-11-20 11:42 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
329050 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher: Fix launcher converged desktop flash problem.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
Icf6fee5d853dc380d463bd657chc1b4273046838(cherry picked from commit 766d7b1577¢3a09d6daf312ab010175b4f8685b9)

#215 - 2023-11-20 11:42 - loT scm
Gerrit Merge Information(]

1D Project Branch Uploader
329051 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 [ wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher: Set projection activity secure window and black background.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1da812e8f8956¢39e26ba761e70410032aa8e9020(cherry picked from commit 897328be3bb170d5b606c5¢70b0afcd43431755¢€)

#216 - 2023-11-20 11:43 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
329052 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCarLauncher: Exclude HiCarLauncher from recent. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
1023811013240fa2b33c5¢5c6249bb588¢9c8449c(cherry picked from commit 4b9¢c2c665847eb49a27d15fc87e9a3ac333d2e47)

#217 - 2023-12-01 15:55 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
332574 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
Car -dev

AF:HiCarLauncher: Do not refresh pin after activity onPause. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
156f967704d6d2e196b950d3f091b239f8e834a6a

#218 - 2023-12-08 21:38 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
334585 general/device/thundercomm/TCDEYV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-dev_mce

AF:HiCar:Remove HiCar for MCE.Remove HiCar for MCETC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
1d41866a53545€930740a8a799b9f3a54262a876(cherry picked from commit 91a4e8d881bbcd32899a3cd561134ad9432a6069)

#219 - 2023-12-11 13:58 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
334888 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCarLauncher: Do not refresh pin after activity onPause. TC-RID: 1201-0208001Issuel D: TS-R-DF-119144Change-Id:
156f967704d6d2e1960b950d3f091b239f8e834a6a(cherry picked from commit b4401f29942df61c5d4c725c0260b3f0691a08fe5)

#220 - 2023-12-11 16:34 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
334519 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
her3 -dev

AF:HiCarlLauncher: Set hicar app corner min to 24px.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-48833Change-1d:
16385527586b57f29624de1269e0983016f7ccf07

2025-07-03
#221 - 2023-12-11 17:58 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

335002

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher: Set hicar app corner min to 24px.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-48833Change-1d:
16385527586h57f29624de1269e0983016f7ccf07(cherry picked from commit 015¢3fe78c4e5bd744178bc2fe0ed6e06fa06930)

#222 - 2023-12-11 19:07 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

335163

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCarLauncher: Update hicar modle id and CAR_BRAND.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-1d:
1189a5537e7h9295e603adf0a35fc3b57b0f25dc0

#223 - 2023-12-11 19:22 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

335005

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher: Update hicar modle id and CAR_BRAND.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144Change-Id:
1189a5537e7h9295e603adf0a35fc3b57b0f25dcO(cherry picked from commit 57ad57d23c2b722f5e2bd85¢960eb94e57378e62)

#224 - 2023-12-14 11:31 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

336083

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Remove custom HiSightSurfaceView.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-49901Change-1d:
1f84de502153991572da9ee35c215c44a5eef050a

#225 - 2023-12-1511:23 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-03
336532

general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

her3

-dev

AF:HiCarLauncher: Modify hicar main text color to white. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-51308Change-Id:
12a23cal3cef625c6ce61f0b30c190f8f6f0e5699

#226 - 2023-12-15 14:23 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

336609

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Remove custom HiSightSurfaceView.TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-49901Change-1d:
1f84de502153991572da%e35c215c44a5eef050a(cherry picked from commit 63ab0ef0a2ed44803e3dd685476422057be0c5a6)

#2217 - 2023-12-15 14:24 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

336608

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:HiCarLauncher: Modify hicar main text color to white. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-51308Change-1d:
12a23cal3cef625c6ce61f0b30c190f8f6f0e5699(cherry picked from commit 1b39a785bc4b4781047th2551¢c8b25¢385396eb7)

#228 - 2023-12-22 15:20 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

338940

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Close folder float view when hicar connected. TC-RID: 1201-02080011ssuelD: TS-R-DF-119144, IOVDEV-51643Change-1d:
185f4a857ac4445b8cd2c5457565b17758b8fd9e7

#229 - 2023-12-22 15:35 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

333492

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangxl0510@thundersoft.com

2025-07-03
AF:HiCar: Remove hicar connecting toast.According to huawei's suggestion, remove connecting toast. TC-RID: 1201-0208001lssuelD:

TS-R-DF-119144Change-1d: 1f8fa9b0e0cb79d505cee88f1c6f3c2492b50d2df

#230 - 2023-12-22 16:08 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
338950 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
her3 -dev

1a34154056h551d1e19081a44c0blecabeechd3977

AF:HiCar: Change hicar page from edge, do not clip. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-51313Change-Id:

#231 - 2023-12-2521:38 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
339811 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:HiCar: Close folder float view when hicar connected. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-51643Change-1d:
185f4a857ac4445h8cd2c5457565b17758b8fd9e7(cherry picked from commit 265¢7ch79daa7759821d655acde7ea71b56d20c6)

#232 - 2023-12-2521:38 - 0T scm
Gerrit Merge Information(]

1D Project Branch Uploader
339852 general/platform/vendor/hht/apps/Hi | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
Car -release_sorp

AF:HiCar: Remove hicar connecting toast.According to huawei's suggestion, remove connecting toast. TC-RID: 1201-0208001lssuelD:
TS-R-DF-119144Change-Id: 1f8fa9b0e0ch79d505cee88f1c6f3c2492b50d2df(cherry picked from commit 6bb8de5186fd341341f6a45¢3120d2b0756¢3cf7)

#233 - 2023-12-25 21:39 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
339854 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp

2025-07-03

55/56




AF:HiCar: Change hicar page from edge, do not clip. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-51313Change-Id:
1a34154056h551d1e19081a44c0blecabeehd3977(cherry picked from commit 744ee957144035ed95190a76663951dad533cf2b)

#234 - 2024-01-02 15:55 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

341486

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:HiCar: Fix crash of updating text view on other thread. TC-RID: 1201-0208001lssuelD: TS-R-DF-119144, IOVDEV-51669Change-Id:
16c4a200c391300037d1600c342837858823928b2

#235 - 2024-01-04 09:49 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

342006

general/platform/vendor/hht/apps/Hi
Car

Pre_figure_turbox-c2130c-lal.1-gssil2

-release_sorp

wangxl0510@thundersoft.com

AF:HiCar: Fix crash of updating text view on other thread. TC-RID: 1201-0208001IssuelD: TS-R-DF-119144, IOVDEV-51669Change-I1d:
16¢4a200¢391300037d1600c342837858823928b2(cherry picked from commit 7900168589d419726895daa65586e66cce92d5¢0)
